# PhasicFlow: src/phasicFlow/containers/Map/hashMap/hashMap.hpp File Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

hashMap.hpp File Reference
Include dependency graph for hashMap.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | hashMap< Key, T, Hash >

## Namespaces

| pFlow

## Typedefs

template<typename T >
using | wordHashMap = hashMap< word, T >
template<typename T >
using | uint64HashMap = hashMap< uint64, T >
template<typename T >
using | uint32HashMap = hashMap< uint32, T >
template<typename T >
using | int64HashMap = hashMap< int64, T >
template<typename T >
using | int32HashMap = hashMap< int32, T >

## Functions

template<typename T >
iOstream & | printKeys (iOstream &os, const wordHashMap< T > &m)
template<typename T >
iOstream & | printKeys (iOstream &os, const uint64HashMap< T > &m)
template<typename T >
iOstream & | printKeys (iOstream &os, const uint32HashMap< T > &m)
template<typename T >
iOstream & | printKeys (iOstream &os, const int64HashMap< T > &m)
template<typename T >
iOstream & | printKeys (iOstream &os, const int32HashMap< T > &m)